package com.foreverwin.mesnac.anomaly.dto;

import com.foreverwin.mesnac.anomaly.model.AbnormalPlan;

import java.time.LocalDateTime;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-07
 */
public class AbnormalPlanDto extends AbnormalPlan {

    private String itemDescription;

    private String fullName;

    private LocalDateTime startDateTime;

    private LocalDateTime endDateTime;

    private String resrceDescription;

    private String item;

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getFullName() {
        return fullName;
    }

    public LocalDateTime getStartDateTime() {
        return startDateTime;
    }

    public void setStartDateTime(LocalDateTime startDateTime) {
        this.startDateTime = startDateTime;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }



    public LocalDateTime getEndDateTime() {
        return endDateTime;
    }

    public void setEndDateTime(LocalDateTime endDateTime) {
        this.endDateTime = endDateTime;
    }

    public String getResrceDescription() {
        return resrceDescription;
    }

    public void setResrceDescription(String resrceDescription) {
        this.resrceDescription = resrceDescription;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }
}
